Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1421638 - (CVE-2017-5970) CVE-2017-5970 kernel: ipv4: Invalid IP options could cause skb->dst drop
CVE-2017-5970 kernel: ipv4: Invalid IP options could cause skb->dst drop
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170204,repor...
: Security
Depends On: 1433199 1433198 1433200 1433201
Blocks: 1421640
  Show dependency treegraph
 
Reported: 2017-02-13 05:37 EST by Andrej Nemec
Modified: 2018-08-28 18:13 EDT (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Linux kernel where having malicious IP options present would cause the ipv4_pktinfo_prepare() function to drop/free the dst. This could result in a system crash or possible privilege escalation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 14:22:09 EDT
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 14:13:37 EDT
Red Hat Product Errata RHSA-2017:2669 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-09-06 20:36:52 EDT

  None (edit)
Description Andrej Nemec 2017-02-13 05:37:57 EST
A vulnerability was found in the Linux kernel. A remote attacker that can send packets containing malicious IP options could cause the ipv4_pktinfo_prepare() function to drop/free the dst. This could result in a system crash or possible privilege escalation if the attacker is able to place crafted objects in this dropped location.

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=34b2cef20f19c87999fff3da4071e66937db9644

References:

http://seclists.org/oss-sec/2017/q1/414
https://patchwork.ozlabs.org/patch/724136/
Comment 3 Wade Mealing 2017-03-17 00:08:51 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1433198]
Comment 5 Wade Mealing 2017-03-17 00:36:49 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code which can trigger the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.
Comment 6 Justin M. Forbes 2017-03-17 08:24:22 EDT
This was fixed in Fedora with the 4.9.11 updates that went to stable releases 2017-02-24.
Comment 7 errata-xmlrpc 2017-08-01 15:12:46 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077
Comment 8 errata-xmlrpc 2017-08-02 03:52:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842
Comment 9 errata-xmlrpc 2017-09-06 16:39:53 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669

Note You need to log in before you can comment on or make changes to this bug.